package com.iamberry.wechat.core.entity.giftCard;

import java.io.Serializable;
import java.util.Date;

public class UserMachineInfo implements Serializable{

	private static final long serialVersionUID = -7747912238861538091L;

	/**
	 * 1.5	用户兑换机器表
	 */
	private Integer userMachineId;						//用户兑换记录id
	
	private String userMachineOpenId;				//用户openid
	
	private String userNickName;		//用户昵称
	
	private String userMachineTel;	//用户手机号
	
	private Integer userMachineCardId;					//礼品卡id
	
	private Integer userMachineStatus;	//兑换状态
	
	private Integer userMachineProductId;//产品id
	
	private String userMachineProductName;//产品名称
	
	private Integer userMachineColorId;//产品颜色id
	
	private String userMachineColorName;//产品颜色名称
	
	private String userMachine69code;//机器69码
	
	private String userMachineAddressInfo;//收件人地址
	
	private String userMachineAddressName;//收件人姓名
	
	private String userMachineAddressTel;//收件人电话

	private String userMachineAddressPostalcode;//收件人邮编

	private String userMachinePostName;//快递名称
	
	private String userMachinePostNum;//快递单号
	
	private Date userMachineCreateDate;//创建时间 
	
	// -----------------------------------
	
	private String cardPwd;				// 礼品卡密码

	public String getUserNickName() {
		return userNickName;
	}

	public void setUserNickName(String userNickName) {
		this.userNickName = userNickName;
	}

	public Integer getUserMachineId() {
		return userMachineId;
	}

	public void setUserMachineId(Integer userMachineId) {
		this.userMachineId = userMachineId;
	}

	public String getUserMachineOpenId() {
		return userMachineOpenId;
	}

	public void setUserMachineOpenId(String userMachineOpenId) {
		this.userMachineOpenId = userMachineOpenId;
	}

	public String getUserMachineTel() {
		return userMachineTel;
	}

	public void setUserMachineTel(String userMachineTel) {
		this.userMachineTel = userMachineTel;
	}

	public Integer getUserMachineCardId() {
		return userMachineCardId;
	}

	public void setUserMachineCardId(Integer userMachineCardId) {
		this.userMachineCardId = userMachineCardId;
	}

	public Integer getUserMachineStatus() {
		return userMachineStatus;
	}

	public void setUserMachineStatus(Integer userMachineStatus) {
		this.userMachineStatus = userMachineStatus;
	}

	public Integer getUserMachineProductId() {
		return userMachineProductId;
	}

	public void setUserMachineProductId(Integer userMachineProductId) {
		this.userMachineProductId = userMachineProductId;
	}

	public String getUserMachineProductName() {
		return userMachineProductName;
	}

	public void setUserMachineProductName(String userMachineProductName) {
		this.userMachineProductName = userMachineProductName;
	}

	public Integer getUserMachineColorId() {
		return userMachineColorId;
	}

	public void setUserMachineColorId(Integer userMachineColorId) {
		this.userMachineColorId = userMachineColorId;
	}

	public String getUserMachineColorName() {
		return userMachineColorName;
	}

	public void setUserMachineColorName(String userMachineColorName) {
		this.userMachineColorName = userMachineColorName;
	}

	public String getUserMachine69code() {
		return userMachine69code;
	}

	public void setUserMachine69code(String userMachine69code) {
		this.userMachine69code = userMachine69code;
	}

	public String getUserMachineAddressInfo() {
		return userMachineAddressInfo;
	}

	public void setUserMachineAddressInfo(String userMachineAddressInfo) {
		this.userMachineAddressInfo = userMachineAddressInfo;
	}
	public String getUserMachineAddressName() {
		return userMachineAddressName;
	}

	public void setUserMachineAddressName(String userMachineAddressName) {
		this.userMachineAddressName = userMachineAddressName;
	}

	public Date getUserMachineCreateDate() {
		return userMachineCreateDate;
	}

	public void setUserMachineCreateDate(Date userMachineCreateDate) {
		this.userMachineCreateDate = userMachineCreateDate;
	}

	public String getCardPwd() {
		return cardPwd;
	}

	public void setCardPwd(String cardPwd) {
		this.cardPwd = cardPwd;
	}

	public String getUserMachineAddressTel() {
		return userMachineAddressTel;
	}

	public void setUserMachineAddressTel(String userMachineAddressTel) {
		this.userMachineAddressTel = userMachineAddressTel;
	}

	public String getUserMachinePostName() {
		return userMachinePostName;
	}

	public void setUserMachinePostName(String userMachinePostName) {
		this.userMachinePostName = userMachinePostName;
	}

	public String getUserMachinePostNum() {
		return userMachinePostNum;
	}

	public void setUserMachinePostNum(String userMachinePostNum) {
		this.userMachinePostNum = userMachinePostNum;
	}

	public String getUserMachineAddressPostalcode() {
		return userMachineAddressPostalcode;
	}

	public void setUserMachineAddressPostalcode(String userMachineAddressPostalcode) {
		this.userMachineAddressPostalcode = userMachineAddressPostalcode;
	}
}
